#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	cups-filters
Version		:	1.28.15
Release		:	14.4.0.0%{?dist}
Summary		:	CUPS collection of filters for various printer drivers
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/OpenPrinting/cups-filters/releases

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	avahi
BuildRequires	:	cups-devel
BuildRequires	:	dbus
BuildRequires	:	dejavu-fonts
BuildRequires	:	glib-devel
BuildRequires	:	cups-devel
BuildRequires	:	ghostscript
BuildRequires	:	lcms2
BuildRequires	:	libjpeg-turbo
BuildRequires	:	libpng
BuildRequires	:	libtiff
BuildRequires	:	poppler
BuildRequires	:	qpdf

Requires	:	cups
Requires	:	ghostscript
Requires	:	hplip
#-----------------------------------------------------------------------------
%description
The CUPS Filters package contains backends, filters and other
software that was once part of the core CUPS distribution but
is no longer maintained by Apple Inc. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_sysconfdir}/%{sname}/%{sname}-browsed.conf
%{_bindir}/driverless
%{_bindir}/driverless-fax
%{_bindir}/foomatic-rip
#{_bindir}/ttfread
%{_sbindir}/%{sname}-browsed
%{_includedir}/*/*.h
%{_prefix}/lib/%{sname}/*
%{_libdir}/lib*.so*
%{_libdir}/pkgconfig/lib*.pc
%{_datadir}/%{sname}/*
%{_datadir}/ppd/cupsfilters/*.ppd
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-rcdir 				\
	--enable-avahi 					\
	--enable-dbus 					\
	--enable-popler 				\
	--disable-mutool 				\
	--disable-static 				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog

